Subject: 23.0.91; Can not compile CVS Emacs on Debian old-stable (dbus problem)
From: Matthieu Moy <[email-masked]>
To: [email-masked]
Date: Wed, 19 Aug 2009 14:21:05 +0200

Hi,

Short version: whether I enable dbus or not, newest Emacs fails to
compile on my system.

Longer version:
With the same configuration I used to succeed in compiling Emacs on my
machine, I now get this error at link time:

dbusbind.o: In function `xd_remove_watch':
/home/moy/local/usr/src/emacs/src/dbusbind.c:766: undefined reference to `dbus_watch_get_unix_fd'
/home/moy/local/usr/src/emacs/src/dbusbind.c:768: undefined reference to `dbus_watch_get_socket'
dbusbind.o: In function `xd_add_watch':
/home/moy/local/usr/src/emacs/src/dbusbind.c:741: undefined reference to `dbus_watch_get_unix_fd'
/home/moy/local/usr/src/emacs/src/dbusbind.c:743: undefined reference to `dbus_watch_get_socket'
collect2: ld returned 1 exit status

Fine, I thought, my dbus is too old, I don't need it, I'll disable it.
But compiling with --without-dbus, it doesn't work either:

Wrote /net/bauges/local/moy/usr/src/emacs.git/lisp/net/tramp-ftp.elc
Compiling /net/bauges/local/moy/usr/src/emacs.git/lisp/net/tramp-gvfs.el
Loading tramp...

In toplevel form:
../../lisp/net/tramp-gvfs.el:101:1:Error: Symbol's function definition is void: dbus-init-bus
make[2]: *** [...] Error 1

Reproducible with a fresh checkout.

Ideally, Emacs should be tought not to use inexisting functions in
libdbus, but at least, fixing the build with --without-dbus should be
done.

Thanks in advance,

$ uname -a
Linux bauges 2.6.29.3-686 #1 SMP PREEMPT Thu May 14 12:01:17 CEST 2009 i686 GNU/Linux
$ cat /etc/debian_version 
4.0

(rest of message mostly irrelevant, since I'm posting from another
Emacs instance)

In GNU Emacs 23.0.91.2 (i686-pc-linux-gnu, GTK+ Version 2.8.20)
 of 2009-03-17 on bauges
Windowing system distributor `The X.Org Foundation', version 11.0.70101000
configured using `configure  '--prefix=/home/moy/local/usr/''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Term

Minor modes in effect:
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  erc-track-mode: t
  recentf-mode: t
  global-whitespace-mode: t
  global-hl-line-mode: t
  icomplete-mode: t
  auto-image-file-mode: t
  which-function-mode: t
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: (only)

Recent input:
[...]

Recent messages:
nndiary: Reading incoming mail from file...
nndiary: Reading incoming mail (no new mail)...done
Reading active file via nndiary...done
Reading active file from archive via nnfolder...done
Checking new news...done
(No changes need to be saved)
No more unread newsgroups [2 times]
(No changes need to be saved)
Mark set
(No changes need to be saved)

-- 
Matthieu